The tarball you found this README in should contain the training and development sets of Qasper version 0.1.

The full text of the papers is extracted from S2ORC (Lo et al., 2020).

Each file is in JSON format, where the keys are arxiv ids, and the values are dicts containing "title", "abstract", "full_text", and "qas" (QA pairs).

Within "qas", some fields should be obvious. Here is some explanation about the others.

## Fields specific to questions:

 - "nlp_background" shows the experience the question writer had. The values can be "zero" (no experience), "two" (0 - 2 years of experience), "five" (2 - 5 years of experience), and "infinity" (> 5 years of experience). The field may be empty as well, indicating the writer has chosen not to share this information.

 - "topic_background" shows how familiar the question writer was with the topic of the paper. The values are "unfamiliar", "familiar", "research" (meaning that the topic is the research area of the writer), or null.

 - "paper_read", when specified shows whether the questionwriter has read the paper.

 - "search_query", if not empty, is the query the question writer used to find the abstract of the paper from a large pool of abstracts we made available to them.

## Fields specific to answers

Unanswerable answers have "unanswerable" set to true. The remaining answers have exactly one of the following fields being non-empty.

 - "extractive_spans" are spans in the paper which serve as the answer.
 - "free_form_answer" is a written out answer.
 - "yes_no" is true iff the answer is Yes, and false iff the answer is No.

"evidence" is the set of paragraphs, figures or tables used to arrive at the answer. Tables or figures start with the string "FLOAT SELECTED"

"highlighted_evidence" is the set of sentences the answer providers selected as evidence if they chose textual evidence. The text in the "evidence" field is a mapping from these sentences to the paragraph level. That is, if you see textual evidence in the "evidence" field, it is guaranteed to be entire paragraphs, while that is not the case with "highlighted_evidence".
